DeleteEntityFeature
curl --request DELETE \
--url https://developer.synq.io/api/entities/custom/v1/features \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entityId": {
"airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
}
},
"featureId": "<string>"
}
'import requests
url = "https://developer.synq.io/api/entities/custom/v1/features"
payload = {
"entityId": { "airflowDag": {
"integrationId": "<string>",
"dagId": "<string>"
} },
"featureId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entityId: {airflowDag: {integrationId: '<string>', dagId: '<string>'}},
featureId: '<string>'
})
};
fetch('https://developer.synq.io/api/entities/custom/v1/features', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}synq.entities.custom.v1.FeaturesService
DeleteEntityFeature
Delete an entity by its identifier. If the entity does not exist, it will be a no-op.
DELETE
/
api
/
entities
/
custom
/
v1
/
features
DeleteEntityFeature
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Identifier of the entity to delete feature from.
- airflow_dag
- airflow_task
- athena_table
- bigquery_table
- clickhouse_table
- custom
- databricks_table
- dataproduct
- dbt_cloud_node
- dbt_core_node
- fabric_table
- monitor
- mssql_table
- mysql_table
- oracle_table
- postgres_table
- redshift_table
- saved_view
- snowflake_table
- sql_mesh_audit
- sql_mesh_model
- synq_path
- trino_table
Show child attributes
Show child attributes
Identifier of the feature to delete.
Required string length:
1 - 255Response
200 - application/json
Success
The response is of type DeleteEntityFeatureResponse · object.
⌘I